%define module	setuptools
 
Summary:	Easily build and distribute Python packages
Name:		python-%{module}
Version:	1.3
Release:	%mkrel 2
License:	Python or ZPLv2.0
Group:		Development/Python
Url:		http://pypi.python.org/pypi/%{module}
Source0:	http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.xz
Source1:        svn17_example.zip
Source2:        svn18_example.zip
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-backports-ssl_match_hostname
BuildRequires:	subversion
Provides:	python-pkg-resources
Provides:	python-setuptools-devel = %{version}-%{release}
Obsoletes:	python-setuptools-devel < 0.7
Provides:	python-distribute = %{version}-%{release}
Obsoletes:	python-distribute < 0.7

%description
A collection of enhancements to the Python distutils that allow 
you to more easily build and distribute Python packages, especially 
ones that have dependencies on other packages.


%package -n python3-%{module}
Summary:	Easily build and distribute Python3 packages
Group:		Development/Python

BuildRequires:	python3-devel
Provides:	python3-pkg-resources

Provides:	python3-setuptools-devel = %{version}-%{release}
Obsoletes:	python3-setuptools-devel < 0.7

Provides:	python3-distribute = %{version}-%{release}
Obsoletes:	python3-distribute < 0.7

%description -n python3-setuptools
A collection of enhancements to the Python 3 distutils that allow
you to more easily build and distribute Python 3 packages, especially
ones that have dependencies on other packages.


%package -n python-pkg-resources
Summary: Runtime module to access python resources
Group:		Development/Python

%description -n python-pkg-resources
Module used to find and manage Python package/version dependencies and access
bundled files and resources, including those inside of zipped .egg files.


%package -n python3-pkg-resources
Summary: Runtime module to access python 3 resources
Group:		Development/Python

%description -n python3-pkg-resources
Module used to find and manage Python 3 package/version dependencies and access
bundled files and resources, including those inside of zipped .egg files.


%prep
%setup -q -n %{module}-%{version}

find -name '*.txt' -exec chmod -x \{\} \;
find . -name '*.orig' -exec rm \{\} \;

# For unittests
cp %{SOURCE1} setuptools/tests/svn_data/
cp %{SOURCE2} setuptools/tests/svn_data/

rm -rf %{py3dir}
cp -a . %{py3dir}
pushd %{py3dir}
for file in setuptools/command/easy_install.py ; do
    sed -i '1s|^#!python|#!%{__python3}|' $file
done
popd

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}

rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests

find %{buildroot}%{python3_sitelib} -name '*.exe' | xargs rm -f
chmod +x %{buildroot}%{python3_sitelib}/setuptools/command/easy_install.py
popd

%{__python} setup.py install --skip-build --root %{buildroot}

rm -rf %{buildroot}%{python_sitelib}/setuptools/tests

find %{buildroot}%{python_sitelib} -name '*.exe' | xargs rm -f
chmod +x %{buildroot}%{python_sitelib}/setuptools/command/easy_install.py


%files
%doc *.txt docs
%{_bindir}/easy_install
%{_bindir}/easy_install-2.*
%{python_sitelib}/*
%{python_sitelib}/pkg_resources.py*

%files -n python3-setuptools
%doc *.txt docs
%{_bindir}/easy_install-3.*
%{python3_sitelib}/*
%{python3_sitelib}/pkg_resources.py*


%changelog
* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 1.3-2pclos2015
- rebuild on python 3.4.2

* Fri Dec 13 2013 billybot <billybot> 1.3-1pclos2013
- update
